package xyz.wbsite.zentao.sdk.execution.req;

import java.util.List;

/**
 * 禅道执行创建请求
 *
 * @author wangbing
 * @version 0.0.1
 * @since 1.8
 */
public class ZtExecutionCreateRequest {

    private int project;
    private String name;
    private String code;
    /**
     * 开始日期2023-11-09
     */
    private String begin;
    /**
     * 结束日期2024-11-07
     */
    private String end;
    /**
     * 总耗时天数
     */
    private int delta;
    /**
     * 可用工作日
     */
    private int days;
    /**
     * 执行类型short/long/ops
     */
    private String lifetime;
    /**
     * 团队名称可空
     */
    private String team;
    /**
     * 需要复制得团队，和团队名称必填一个
     * 值为zt_project的id
     */
    private int teams;
    /**
     * 需求负责人
     */
    private String po;
    /**
     * 测试负责人
     */
    private String qd;
    /**
     * 迭代负责人
     */
    private String pm;
    /**
     * 发布负责人
     */
    private String rd;
    /**
     * 团队成员
     */
    private List<String> teamMembers;
    /**
     * 执行描述
     */
    private String desc;
    /**
     * 访问控制private/open
     */
    private String acl;
    /**
     * 权限控制extend/reset
     */
    private String auth;

    public int getProject() {
        return project;
    }

    public void setProject(int project) {
        this.project = project;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getBegin() {
        return begin;
    }

    public void setBegin(String begin) {
        this.begin = begin;
    }

    public String getEnd() {
        return end;
    }

    public void setEnd(String end) {
        this.end = end;
    }

    public int getDelta() {
        return delta;
    }

    public void setDelta(int delta) {
        this.delta = delta;
    }

    public int getDays() {
        return days;
    }

    public void setDays(int days) {
        this.days = days;
    }

    public String getLifetime() {
        return lifetime;
    }

    public void setLifetime(String lifetime) {
        this.lifetime = lifetime;
    }

    public String getTeam() {
        return team;
    }

    public void setTeam(String team) {
        this.team = team;
    }

    public int getTeams() {
        return teams;
    }

    public void setTeams(int teams) {
        this.teams = teams;
    }

    public String getPo() {
        return po;
    }

    public void setPo(String po) {
        this.po = po;
    }

    public String getQd() {
        return qd;
    }

    public void setQd(String qd) {
        this.qd = qd;
    }

    public String getPm() {
        return pm;
    }

    public void setPm(String pm) {
        this.pm = pm;
    }

    public String getRd() {
        return rd;
    }

    public void setRd(String rd) {
        this.rd = rd;
    }

    public List<String> getTeamMembers() {
        return teamMembers;
    }

    public void setTeamMembers(List<String> teamMembers) {
        this.teamMembers = teamMembers;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getAcl() {
        return acl;
    }

    public void setAcl(String acl) {
        this.acl = acl;
    }

    public String getAuth() {
        return auth;
    }

    public void setAuth(String auth) {
        this.auth = auth;
    }
}
