package xyz.wbsite.zentao.sdk.project.req;

/**
 * 禅道项目更新响应
 *
 * @author wangbing
 * @version 0.0.1
 * @since 1.8
 */
public class ZtProjectEditRequest {

    /**
     * 项目ID
     */
    private int id;
    /**
     * 父项目ID
     */
    private String parent;
    /**
     * 项目名称
     */
    private String name;
    /**
     * 项目代号
     */
    private String code;
    /**
     * 产品经理账户
     */
    private String pm;
    /**
     * 是否待定（1待定）
     */
    private String future;
    /**
     * 预算
     */
    private String budget;
    /**
     * 预算单位CNY
     */
    private String budgetUnit;
    /**
     * 项目开始时间 yyyy-MM-dd
     */
    private String begin;
    /**
     * 项目结束时间 yyyy-MM-dd
     */
    private String end;
    /**
     * 可用工作日
     */
    private int days;
    /**
     * delta
     */
    private int delta;
    /**
     * 项目描述
     */
    private String desc;
    /**
     * 访问控制private/open
     */
    private String acl;
    /**
     * 权限控制extend/reset
     */
    private String auth;
    /**
     * 项目管理方式scrum/waterfall/kanban
     */
    private String model;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getParent() {
        return parent;
    }

    public void setParent(String parent) {
        this.parent = parent;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }


    public String getPm() {
        return pm;
    }

    public void setPm(String pm) {
        this.pm = pm;
    }

    public String getBudget() {
        return budget;
    }

    public void setBudget(String budget) {
        this.budget = budget;
    }

    public String getBudgetUnit() {
        return budgetUnit;
    }

    public void setBudgetUnit(String budgetUnit) {
        this.budgetUnit = budgetUnit;
    }

    public String getBegin() {
        return begin;
    }

    public void setBegin(String begin) {
        this.begin = begin;
    }

    public String getEnd() {
        return end;
    }

    public void setEnd(String end) {
        this.end = end;
    }

    public int getDays() {
        return days;
    }

    public void setDays(int days) {
        this.days = days;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getAcl() {
        return acl;
    }

    public void setAcl(String acl) {
        this.acl = acl;
    }

    public String getAuth() {
        return auth;
    }

    public void setAuth(String auth) {
        this.auth = auth;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public int getDelta() {
        return delta;
    }

    public void setDelta(int delta) {
        this.delta = delta;
    }

    public String getFuture() {
        return future;
    }

    public void setFuture(String future) {
        this.future = future;
    }
}
