## 禅道java版sdk工具包
基于禅道开源版18.1封装的java版sdk工具包，对于高版本的是否兼容还需要测试

### 功能描述
利用禅道开放的第三方应用接口，封装的java版sdk工具包，可通过java代码的方式创建项目、执行、任务等常用接口。
大部分接口是直接使用的禅道开放的接口，小部分接口是通过模拟浏览器的方式实现的。

### 免责声明
SDK源码编写完成后仅简单应用了项目、执行、任务的创建、开始、关闭等功能，未进行大规模测试。
此仓库的源码是从项目上剥离出来的源码，使用时请备份数据，并进行严格测试，确保安全后再上线使用。

### 开发环境
jdk 8+

### 构建工具
Maven 3+

### 编译命令
```
mvn package
```
如果编译报错，可以尝试更换maven版本或使用最新maven版本

### 使用说明
#### 引用方式
1. 直接引入jar包
2. 引入源码

#### 创建凭证
使用禅道管理员账号登录，依次找到左侧菜单栏【后台】-【二次开发】-【应用】-【添加应用】
得到代号+密钥就是接入凭证

#### 创建管理账号
创建一个专门的管理账号，拥有管理员权限。例如我创建的是pms账号

#### 使用方法
参考 ClientTest.java

##### 版本说明
###### v0.0.1-SNAPSHOT
1. 项目的创建、删除、修改、开始、激活、关闭
2. 执行的创建、删除、开始、激活、关闭
3. 任务的创建、删除、开始、激活、关闭、完成
4. 用户的获取

### 联系方式
E-Mail：wangbing@wbsite.xyz