package xyz.wbsite.zentao.sdk.task.req;

/**
 * 禅道任务完成请求
 *
 * @author wangbing
 * @version 0.0.1
 * @since 1.8
 */
public class ZtTaskFinishRequest {
    /**
     * 任务ID
     */
    private int taskId;
    /**
     * 本次消耗
     */
    private int currentConsumed;
    /**
     * 之前消耗
     */
    private String consumed;
    /**
     * 指派
     */
    private String assignedTo;
    /**
     * 实际开始
     */
    private String realStarted;
    /**
     * 实际完成
     */
    private String finishedDate;
    /**
     * 备注
     */
    private String comment;

    public int getTaskId() {
        return taskId;
    }

    public void setTaskId(int taskId) {
        this.taskId = taskId;
    }

    public int getCurrentConsumed() {
        return currentConsumed;
    }

    public void setCurrentConsumed(int currentConsumed) {
        this.currentConsumed = currentConsumed;
    }

    public String getConsumed() {
        return consumed;
    }

    public void setConsumed(String consumed) {
        this.consumed = consumed;
    }

    public String getAssignedTo() {
        return assignedTo;
    }

    public void setAssignedTo(String assignedTo) {
        this.assignedTo = assignedTo;
    }

    public String getRealStarted() {
        return realStarted;
    }

    public void setRealStarted(String realStarted) {
        this.realStarted = realStarted;
    }

    public String getFinishedDate() {
        return finishedDate;
    }

    public void setFinishedDate(String finishedDate) {
        this.finishedDate = finishedDate;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }
}
