package xyz.wbsite.zentao.sdk.task.req;

/**
 * 禅道任务启动请求
 *
 * @author wangbing
 * @version 0.0.1
 * @since 1.8
 */
public class ZtTaskStartRequest {
    /**
     * 任务ID
     */
    private int taskId;
    /**
     * 指派给
     */
    private String assignedTo;
    /**
     * 2023-11-10 10:09:26
     */
    private String realStarted;
    /**
     * 总计消耗(小时)
     */
    private String consumed;
    /**
     * 预计剩余(小时)
     */
    private String left;
    /**
     * 备注
     */
    private String comment;

    public int getTaskId() {
        return taskId;
    }

    public void setTaskId(int taskId) {
        this.taskId = taskId;
    }

    public String getAssignedTo() {
        return assignedTo;
    }

    public void setAssignedTo(String assignedTo) {
        this.assignedTo = assignedTo;
    }

    public String getRealStarted() {
        return realStarted;
    }

    public void setRealStarted(String realStarted) {
        this.realStarted = realStarted;
    }

    public String getConsumed() {
        return consumed;
    }

    public void setConsumed(String consumed) {
        this.consumed = consumed;
    }

    public String getLeft() {
        return left;
    }

    public void setLeft(String left) {
        this.left = left;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }
}
